
#ifndef INCLUDE_MYSERVICE_HPP
#define INCLUDE_MYSERVICE_HPP

#include <string>
#include <vector>

#include <RCF/Idl.hpp>
#include <SF/vector.hpp>

RCF_BEGIN(MyService, "MyService")
    RCF_METHOD_V1(void, reverse, std::vector<std::string> &);
    RCF_METHOD_V0(void, test);
    RCF_METHOD_V0(void, test1);
    RCF_METHOD_V0(void, test2);
RCF_END(MyService);

RCF_BEGIN(MyServiceCallback, "MyServiceCallback")
  RCF_METHOD_V0(void, callback);
RCF_END(MyServiceCallback);

#endif // ! INCLUDE_MYSERVICE_HPP
